.card {
    display: flex;
    flex-direction: column;
    padding:10px;
    height: 370px;
    margin-right: 30px;
    position: relative;
    overflow: hidden;

    &.hover-effect {
        @include hover-shadow;

        &:hover {
            .background {
                transform: scale(1.1);
            }
    
            .overlay {
                opacity: 0.7!important;
            }
        }
    }

    .background {
        background: linear-gradient(135deg, #f68b1f 0%, #e02125 32%, #8b0027 101%);
        background-repeat: no-repeat!important;
        background-size: cover!important;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        width: 100%;
        transition: all 0.3s ease-in-out;
        background-position: center;
    }

    .header,
    .card-content {
        z-index: 2;
    }

    .header {
        img {
            float: left;
            margin-right: 10px;
        }
        .text {
            color: #fff;
            text-transform: uppercase;
        }
    }

    .card-content {
        position: relative;
        margin-top: auto;
        margin: auto 19px 19px 19px;
        color: #fff;
        
        .title {
            color: #fff;
            margin-top: 0;
            margin-bottom: 20px;
        }

        .copy {
            @include media(sm) {
                font-size: 0.9em;
            }
            @include media(xs) {
                font-size: 0.85em;
            }
        }

        .btn {
            margin-top: 18px;
            justify-self: flex-end;
        }
    }

    &.size-small {
        width: 270px;
    }

    &.size-medium {
        width: 370px;
        max-width: 100%;
    }

    &.size-large {
        width: 570px;
    }

    &.size-full {
        margin-right: 0;

        .text-container {
            max-width: 50%;
            float: left;
        }

        .btn {
            position: absolute;
            width: auto;
            right: 0;
            bottom: 0;
        }
    }

    &.size-small,
    &.size-medium,
    &.size-large,
    &.size-full {
        @media screen and (max-width: 600px) {
            width: 90vw;
        }
    }
}

.card-carousel {

    .slick-list {
        overflow: visible;
    }

    .card-wrapper {
        vertical-align: top;

        .card {
            &.size-small,
            &.size-medium,
            &.size-large,
            &.size-full {
                @media screen and (max-width: 600px) {
                    width: 80vw;
                }
            }
        }
    }

    &.card-size-small,
    &.card-size-medium,
    &.card-size-large {
        .slick-list {
            margin-right: -100%;

            /*@media screen and (max-width: 1306px) {
                margin-right: 0;
            }*/
        }
    }

    &.card-size.small.item-count-4 {
        .slick-list {
            margin-right: 0;
        }
    }

    &.card-size.medium.item-count-3 {
        .slick-list {
            margin-right: 0;
        }
    }

    &.card-size.large.item-count-2 {
        .slick-list {
            margin-right: 0;
        }
    }
}